package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.OrderMessage;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.OrderMessageMapper")
public interface OrderMessageMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(OrderMessage record);

    OrderMessage selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(OrderMessage record);

    List<OrderMessage> queryAllOrderMessage(OrderMessage record);

    List<OrderMessage> queryOrderMessageByPage(Map<String, Object> parameter);

    int delete(String id);

    OrderMessage queryOrderMessage(OrderMessage record);

    List<OrderMessage> query(OrderMessage record);
}

